### Method

# Gio ZlibCompressor set_file_info

since: 2.26

#### Declaration

    void
    g_zlib_compressor_set_file_info (
      GZlibCompressor* compressor,
      GFileInfo* file_info
    )

#### Description

Sets `file_info` in `compressor`. If non-`NULL`, and `compressor`‘s `GZlibCompressor:format` property is `G_ZLIB_COMPRESSOR_FORMAT_GZIP`, it will be used to set the file name and modification time in the GZIP header of the compressed data.

Note: it is an error to call this function while a compression is in progress; it may only be called immediately after creation of `compressor`, or after resetting it with g_converter_reset().

Available since: 2.26

Sets property | `Gio.ZlibCompressor:file-info`

#### Parameters

`file_info`

  Type: `GFileInfo`

  A `GFileInfo`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.